[package]
name = "gamerand"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]

# [[bin]]
# name = "sm64"
# path = "src/bench_sm64.rs"

# [[bin]]
# name = "pmd1"
# path = "src/bench_pmd1.rs"

# [[bin]]
# name = "doom"
# path = "src/bench_doom.rs"

[profile.release]
# https://doc.rust-lang.org/cargo/reference/profiles.html#profile-settings
# https://github.com/johnthagen/min-sized-rust
opt-level = 3    # all optimizations
strip     = true # Automatically strip symbols from the binary. (Huge improvement)
lto       = true # Link-Time Optimization
codegen-units = 1
# panic = "abort"
